XnEnumerationErrors.h File Reference
`#include <XnTypes.h>`

Go to the source code of this file.

## Typedefs

typedef struct XnModuleError * | XnEnumerationErrorsIterator

## Functions

XN_C_API XnStatus XN_C_DECL | xnEnumerationErrorsAllocate (XnEnumerationErrors **ppErrors)
XN_C_API void XN_C_DECL | xnEnumerationErrorsFree (const XnEnumerationErrors *pErrors)
XN_C_API XnStatus XN_C_DECL | xnEnumerationErrorsAdd (XnEnumerationErrors *pErrors, const XnProductionNodeDescription *pDesc, XnStatus nError)
XN_C_API XnStatus XN_C_DECL | xnEnumerationErrorsToString (const XnEnumerationErrors *pErrors, XnChar *csBuffer, XnUInt32 nSize)
XN_C_API XnStatus XN_C_DECL | xnEnumerationErrorsClear (XnEnumerationErrors *pErrors)
XN_C_API XnEnumerationErrorsIterator XN_C_DECL | xnEnumerationErrorsGetFirst (const XnEnumerationErrors *pErrors)
XN_C_API XnEnumerationErrorsIterator XN_C_DECL | xnEnumerationErrorsGetNext (XnEnumerationErrorsIterator it)
XN_C_API XnBool XN_C_DECL | xnEnumerationErrorsIteratorIsValid (XnEnumerationErrorsIterator it)
XN_C_API const XnProductionNodeDescription *XN_C_DECL | xnEnumerationErrorsGetCurrentDescription (XnEnumerationErrorsIterator it)
XN_C_API XnStatus XN_C_DECL | xnEnumerationErrorsGetCurrentError (XnEnumerationErrorsIterator it)